This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 865315 - RFE: use -rtc driftfix=slew
RFE: use -rtc driftfix=slew
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alan Pevec
Yaniv Kaul
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 04:17 EDT by Yaniv Kaul
Modified: 2013-07-03 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-11 11:48:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-10-11 04:17:23 EDT
Description of problem:
I'm not sure what the default downstream of driftfix is, but it should be slew to prevent Windows from BSOD.
See http://lists.gnu.org/archive/html/qemu-devel/2012-06/msg03341.html

RHEV/oVirt sets this option in the QEMU command line.


Version-Release number of selected component (if applicable):
Essex

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
http://lists.gnu.org/archive/html/qemu-devel/2012-06/msg03341.html
Comment 2 Daniel Berrange 2012-10-11 11:48:45 EDT
This was included in Folsom:

commit 3114a97ba188895daff4a3d337b2c73855d4632d
Author: Daniel P. Berrange <berrange@redhat.com>
Date:   Mon Jun 11 17:16:10 2012 +0100

    Update default policies for KVM guest PIT & RTC timers
    
    The default policies for the KVM guest PIT and RTC timers
    are not very good at maintaining reliable time in guest
    operating systems. In particular Windows 7 guests will
    often crash with the default KVM timer policies, and old
    Linux guests will have very bad time drift
    
    Set the PIT such that missed ticks are injected at the
    normal rate, ie they are delayed
    
    Set the RTC such that missed ticks are injected at a
    higher rate to "catch up"
    
    This corresponds to the following libvirt XML
    
      <clock offset='utc'>
        <timer name='pit' tickpolicy='delay'/>
        <timer name='rtc' tickpolicy='catchup'/>
      </clock>
    
    And the following KVM options
    
      -no-kvm-pit-reinjection
      -rtc base=utc,driftfix=slew
    
    This should provide a default configuration that works
    acceptably for most OS types. In the future this will
    likely need to be made configurable per-guest OS type.
    
    Fixes LP bug #1011848
    
    Change-Id: Iafb0e2192b5f3c05b6395ffdfa14f86a98ce3d1f
    Signed-off-by: Daniel P. Berrange <berrange@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.